import request from '@/utils/request'

export function getInfo(uid) {
  return request({
    url: '/wx/user/getUser',
    method: 'get',
    params: { uid }
  })
}

export function logout() {
  return request({
    url: '/user/logout',
    method: 'post'
  })
}
// 获取登录二维码
export function loginCode() {
  return request({
    url: '/wx/qrCode/login',
    method: 'get'
  })
}
// 登录是否成功
export function loginSuccess(code) {
  return request({
    url: `/wx/user/check`,
    method: 'get',
    params: { code }
  })
}
